Subject: Re: bug#9118: 23.3.50; Don't seed the RNG in message-unique-id

From: Juanma Barranquero <[email-masked]>
Date: Thu, 21 Jul 2011 13:57:51 +0200

On Thu, Jul 21, 2011 at 06:45, Leo <[email-masked]> wrote:

> Indeed, some do some don't. I wonder if Emacs should?

Many systems (languages, etc.) have a facility to seed the RNG with a
specific seed (saved from a previous run, for example), so you can
have repeated runs with the exact same sequence of random numbers, if
needed. That can be useful for simulation, testing, etc.

AFAIK, the Emacs RNG does not allow that at the lisp level, so it
would be better to automatically seed it and remove the many (random
t) calls, which, as has been pointed out, can in fact be harmful for
the quality of the generated random number series, if called
repeatedly.

    Juanma